import javax.swing.*;        
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

public class MainWindow extends JFrame implements ActionListener {

    private JButton btnStart;
    private Socket socket;
    private PrintWriter out = null;
    private BufferedReader in = null;
        
    public MainWindow() {
        createAndShowGUI();
    }

    private void createAndShowGUI() {
        JFrame frame = new JFrame("Car");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setSize(150, 80);

        JPanel pane = (JPanel)frame.getContentPane();
        
        this.btnStart = new JButton("Start");
        this.btnStart.addActionListener(this);
        pane.add(this.btnStart);
        
        frame.setVisible(true);
    }
    
    public void actionPerformed(java.awt.event.ActionEvent evt) {

        if (evt.getSource().equals(btnStart)) {
            System.out.print("Connecting to server... ");
        
            try {
                this.socket = new Socket("localhost", 12346);
                this.out = new PrintWriter(socket.getOutputStream(), true);
                this.in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            } catch (UnknownHostException e) {
                System.out.println("failed.");
                System.err.println("Don't know about host.");
            } catch (IOException e) {
                System.out.println("failed.");
                System.err.println("Couldn't get I/O for " + "the connection.");
            }
            
            System.out.println("connected.");
            
            String ques_ans[][] = new String[3][2];
            
            ques_ans[0][0] = "starter_was_ok";
            ques_ans[1][0] = "starter_is_ok";
            ques_ans[2][0] = "fuel_is_ok";
            
            System.out.println("Zaczynam zapytywanie.");
            
            
            // odczytaj odpowiedzi
            
            for (int i = 0; i < 3; i++) {
                
                System.out.println("Pytanie: " + ques_ans[i][0]);
                this.out.println("(user_says," + ques_ans[i][0] + ").");
                
                try {
                    
                    ques_ans[i][1] = this.in.readLine();
                    System.out.println("Odpowiedź: "+ ques_ans[i][1]);
                    
                } catch (IOException e) {
                    System.out.println("Nie można odczytać odpowiedzi.");
                }
            }
            
            int errorType = 0;
            
            // podaj raport
            if(ques_ans[0][1].equals("yes") && ques_ans[1][1].equals("no")) {
                errorType = 1;
            } else if(ques_ans[0][1].equals("no")) {
                errorType = 2;
            } else if(ques_ans[0][1].equals("yes") && ques_ans[2][1].equals("no")) {
                errorType = 3;
            } else if(ques_ans[0][1].equals("yes") && ques_ans[2][1].equals("yes")) {
                errorType = 4;
            }
            
            // wypisz wiadomosc
            switch(errorType) {
                case 1:
                    JOptionPane.showMessageDialog(null,"Drained battery","Final report.",JOptionPane.INFORMATION_MESSAGE);
                    break;
                case 2:
                    JOptionPane.showMessageDialog(null,"Wrong gear \nStarting system","Final report.",JOptionPane.INFORMATION_MESSAGE);
                    break;
               case 3:
                    JOptionPane.showMessageDialog(null,"Fuel system","Final report.",JOptionPane.INFORMATION_MESSAGE);
                    break;
               case 4:
                    JOptionPane.showMessageDialog(null,"Ignition system","Final report.",JOptionPane.INFORMATION_MESSAGE);
                    break;
            }
            
        }
    }
}

